<?php

	lt_include( PLOG_CLASS_PATH."class/action/admin/adminaction.class.php" );
	lt_include( PLOG_CLASS_PATH."plugins/mailcentre/class/view/mailcentreuserselectorview.class.php" );
		
	class MailCentreUserSelectorAction extends AdminAction
	{
		
		function MailCentreUserSelectorAction( $actionInfo, $request )
		{
			$this->AdminAction( $actionInfo, $request );

            $this->requireAdminPermission( "manage_plugin_admincentre" );            
		}
		
		function perform()
		{
			$this->_view = new MailCentreUserSelectorView( $this->_blogInfo );
			$this->setCommonData();
			
			return( true );
		}
	}
?>